.work {
  width: 100%;
  display: flex;
  padding: 30px 0;
  flex-direction: column;
  align-items: flex-start;
  gap: 30px;


  &__title {
    display: flex;
    padding: 0 20px;
    justify-content: center;
    align-items: center;
    gap: 10px;
    width: 100%;
    align-self: stretch;
    color: #252525;
    text-align: center;
    font-size: 55px;
    font-weight: 300;
    letter-spacing: 3.2px;
    text-transform: uppercase;
  }

  &__row {
    width: 100%;
    flex-direction: column-reverse;
  }

  &__discover {
    display: flex;
    flex-direction: column;
    gap: 20px;
    justify-content: space-between;


    &-tag-wrap-buttons {
      display: flex;
      align-items: flex-start;
      gap: 30px;
    }

    &-start {
      order: -1;
    }

    &-title {
      width: 100%;
      color: #000;
      font-family: 'Gilroy-Light';
      font-size: 35px;
      font-style: normal;
      font-weight: 400;
      line-height: normal;
      text-transform: uppercase;
      padding: 10px;
      align-self: stretch;
    }

    &-tag-wrap {
      display: flex;
      align-items: flex-start;
      gap: 30px;

      &__btn {
        display: flex;

        padding: 15px 30px;
        align-items: center;
        justify-content: center; /* Додаємо вирівнювання тексту по горизонталі по центру */
        gap: 10px;
        height: 30px;
        border-radius: 50px;
        background: #FFF;
        text-wrap: none;
      }
    }

    &-btn {
      display: flex;
      padding: 10px 30px;
      justify-content: right;
      align-items: center;
      align-self: end;
      gap: 10px;
      //margin-left: 160px;
      border-radius: 50px;
      background: #252525;
      color: white;
    }
  }

  &__all {
    display: flex;
    padding: 15px 60px;
    //width: 100%;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 10px;
    align-self: stretch;
    border-radius: 50px;
    background: #FFF;
  }
}


@media (min-width: 768px) {
  .work {
    display: flex;
    width: 100%;
    padding: 30px 0px;
    flex-direction: column;
    align-items: flex-start;
    gap: 30px;

    &__title {
      color: #252525;
      width: 100%;
      text-align: center;
      font-family: Gilroy;
      font-size: 150px;
      font-style: normal;
      font-weight: 300;
      line-height: normal;
      letter-spacing: 6px;
      text-transform: uppercase;
      flex-shrink: 0;
    }
  }
}

@media (min-width: 1200px) {
  .work {

    &__title {
      text-align: center;
    }

    &__row {
      display: grid;
      grid-template-columns: repeat(3, 1fr);
      grid-template-rows: repeat(1, 1fr);

      gap: 10px;


      &__discover {
        width: 100%;
        grid-column: span 1;
        grid-row: span 1;
      }


    }

    &__all {
      display: flex;
      padding: 15px 60px;
      align-items: center;
      gap: 10px;
      align-self: center;
    }

  }


}

